==============================================================================

Portlock Storage Manager
Portlock Software
www.PortlockSoftware.com

==============================================================================

Copyright (c) 2000-2002 Portlock Software. All rights reserved.

==============================================================================

    History Notes for Storage Manager Release 3.11 (Nov-29-2002)

    (Also see the "What's New in Release 3.11 (Nov-29-2002)" below)

    ****************************************
    Notes:
    ****************************************

    1) This release supports NetWare 6. There are a number of features
       that are not supported in this version that are available for
       NetWare version 3.x - 5.x. See below for more information.

    2) This release supports DVD burners (IDE and SCSI) from DOS and
       NetWare.

    3) Do not use emm386.exe in config.sys for the DOS version of
       Storage Manager. We have seen so many issues with this memory
       manager that we have removed the need for emm386.exe.

    4) MEGA4_XX.HAM drivers. The 6.x version of these drivers have a
       problem in the interrupt code. If used with Storage Manager the
       server will abend. Use version 3.09 of these drivers.

    5) EMC SANS. Some EMC configuration use the POWPATH.CDM. This CDM
       provides virtual drive support to redundant fibre channel paths.
       Storage Manager does not access CDMs and instead goes directly
       to the HAM drivers. This may result in multiple instances being
       displayed for the same device. The solution is to unload the
       POWPATH.CDM driver, configure the QLogic Fibre Channel drivers
       to not include redundant paths. Then reboot the server. Once
       the storage management operations have been completed, return
       the server to the standard EMC configuration.

    6) IBM Netfinity ASPI RAID DOS Driver. The is an issue with
       Storage Manager and the DOS ASPI RAID driver. Do not load the
       IBM DOS ASPI driver for the IBM RAID controllers. Storage
       Manager will access the RAID controller correctly without the
       DOS ASPI driver.

    7) Compaq ASPI driver FWS2ASPI.SYS version 2.06. This ASPI driver
       is not compatible with other ASPI drivers. To use Compaq ASPI
       drivers with other ASPI drivers use version 2.05. If another
       ASPI driver is installed with the Compaq driver version 2.06
       Storage Manager will not be able to see the Compaq driver.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    Most of these limitations will be removed in future releases of
    Storage Manager. Check our web site, as we often release improved
    versions of Storage Manager. http://www.portlocksoftware.com

    1)  The image command can image an NSS multi-segment Storage Group
        volume. The restore command can only restore this NSS volume as
        a single segment. Storage Manager will convert the multi-segment
        volume into a single segment volume during the restore.

    2)  The NSS volume resize command can not resize a Storage Group volume.

    3)  The NSS volume resize command can not resize NSS volumes smaller.
        However, NSS Volume Copy, NSS Volume Restore, and NSS Partition
        Convert commands do support resizing NSS volumes smaller.

    4)  NetWare 5 NSS mirroring is not supported. Traditional partition
        mirroring is supported. NetWare 6 mirroring is supported for
        both Traditional and NSS partitions.

    5)  For NSS versions earlier than version 2.97 (NetWare 5.1 SP3), the
        server sometimes needs to be rebooted to see NSS partitions
        created with Storage Manager. There is a partition re-scanning
        bug with NetWare that was fixed in NW51 SP3.

    6)  Storage Manager does not support NSS volumes created inside a
        Traditional NetWare volume.

    7)  NetWare Cluster Services is not supported.

    8)  When copying an NSS Non-Storage Group Partition to a new Non-Storage
        Group partition, resizing the volume smaller during the copy is
        not supported. Copy the partition to a Storage Group to enable
        resizing the partition smaller during the copy.

    9)  When copying an NSS Non-Storage Group Volume to a new Non-Storage
        Group Volume, resizing the volume smaller during the copy is not
        supported. Copy the partition to a Storage Group to enable
        resizing the volume smaller during the copy.

    10) Storage Manager can not move the starting position of an NSS
        partition.

    11) NSS Storage Group Partition Copy is not supported. The current
        workaround is to copy the individual NSS volumes using the NSS
        Volume Copy command.

    12) DOS: ATAPI (IDE) Tape drives are not supported. Only under NetWare.

    13) NetWare 6: The Partition Copy command is not supported.

    14) NetWare 6: The Volume Copy command is not supported.

    15) Storage Manager does not recognize boot managers when installed
        into the first sector of a disk drive. When a system is imaged
        that contains a boot manager located in sector zero, this sector
        will not be restored during the system restore. NetWare servers
        do not use boot managers, however, dual boot systems might use
        a boot manager. For example a system with DOS, NetWare and Linux
        installed on the same disk drive.

------------------------------------------------------------------------------

    What's New in Release 3.11 (Nov-29-2002)

    ****************************************
    New Features:
    ****************************************

    1) None.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) Removed a debug message from the DOS Partition Copy command.

    2) Fixed an abend in the volume copy command.

    ****************************************
    Misc Features:
    ****************************************

    1) None.

------------------------------------------------------------------------------

    What's New in Release 3.10 (Nov-16-2002)

    ****************************************
    New Features:
    ****************************************

    1) Added new command "Recv File" located under "System Commands".
       This command receives data and writes it to a file. This command
       is similar to "Send File".

    2) Added support for DOS Extended partitions (preliminary support).

    3) Added support for DOS Extended LBA partitions (preliminary support).

    4) Added support for FAT32 partitions (preliminary support).

    5) Added support for FAT32 LBA partitions (preliminary support).

    6) Added support for NTFS partitions (preliminary support).

    ****************************************
    Bugs Fixed:
    ****************************************

    1) If a DOS Extended partition is created by the DOS Fdisk and no
       partitions are created within the Extended partition, Storage
       Manager would display a series of Type 0xf6 partitions which
       do not exist.

    2) If a Primary DOS partition is created by Fdisk but not formatted
       with the DOS format commmand, Storage Manager would report an
       invalid sector size for the partition. Storage Manager now reports
       that the partition is not formatted.

    3) If a NetWare 5 Storage Group volume is missing segment 0, then the
       display partition window would show "No Volumes".

    4) If a NetWare 5 Storage Group volume is missing segment 0, then the
       partition map command would show "No Volumes".

    5) If a NetWare 5 Storage Group volume is missing segment 0, then the
       "Select a Volume" window would not display the volume.

    6) DOS. If a file name is not specified in the restore dialog box and
       instead ESC is pressed, Storage Manager would hang when exiting
       from the Main Menu.

    7) When skipping a Dell Diagnostic partition during restore, the screen
       would display skipping DOS partition.

    8) Modified the Drive Initialize command to default to cancel instead
       of defaulting to initialize in the menus. This is to prevent an
       accidental initialization of a disk drive.

    9) When Storage Manager reboots a system, the logfile is not closed and
       information that should be written to the logfile is not written.

    ****************************************
    Misc Features:
    ****************************************

    1) Improved the handling of NetWare 5 Storage Group volumes that are
       missing one or more volume segments.

    2) For ATAPI DVD writers, added the ability to detect and retry data
       under-runs.

    3) DVD support is now enabled by default. To disable DVD support use
       the command line option -nodvd.

    4) Added a new partition check to detect more than one active partition
       on the same drive.

------------------------------------------------------------------------------

    What's New in Release 3.09 (Oct-29-2002)

    ****************************************
    New Features:
    ****************************************

    1) Added a new command line switch "-ignore=[1-64]".

	This switch causes Storage Manager to ignore the specified disk
        drive. This is commonly used on Fibre Channel SANs that have
        multiple paths to the same device. This can also be used for disk
        drives that are having hardware problems, and you want Storage
        Manager to not attempt disk accesses.

    2) Added support for Partition Copy of Compaq Diagnostic Partitions.

    3) Added support for Partition Copy of Dell Diagnostic Partitions.

    4) Added support for Partition Copy of IBM Diagnostic Partitions.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) Fixed a problem with screen redrawing if a large number of partitions
       are being displayed.

    2) Send File command would crash in the "server mode" when executing
       from DOS if the TCP/IP stack was not initialized correctly before
       Storage Manager was started.

    ****************************************
    Misc Features:
    ****************************************

    1) The window that displays drive partitions, now displays DOS Extended
       Partitions in the window.

    2) A new function key has been added (F-4). When a Select Drive dialog
       box is being displayed, pressing F4 will hide the Select Drive dialog
       box. This is useful when there are more than six partitions being
       displayed as some of the partitions will be hidden begin the Select
       Drive dialog box.

    3) The Activate Partition command now displays the current active
       partition in the Select Partition dialog box. The active partition
       is noted by an '*' character.

------------------------------------------------------------------------------

    What's New in Release 3.08 (Oct-22-2002)

    ****************************************
    New Features:
    ****************************************

    1) None.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) DOS and MEGASPI.SYS. Storage Manager would hang if this device driver
       was loaded. This device driver incorrectly implements the SCSI spec
       and does not support short SCSI read commands. Instead of returning
       an error to Storage Manager, megaspi.sys would just hang the system.
       Storage Manager now only issues long SCSI read / write commands to
       this device driver.

    2) Linux does not use the system BIOS to determine device geometry.
       Storage Manager does use the system BIOS. This would cause Storage
       Manager to issue warnings about systems that had Linux installed.
       Storage Manager now uses the geometry that Linux used to partition
       disk drives by determining the disk geometry from the partition table
       if the partition table does not agree with the system BIOS.

    3) Linux encodes the cylinder / head / sector fields differently than
       DOS or NetWare. Storage Manager now correctly recognizes partitions
       created by Linux and does not report error messages about partition
       format problems.

    4) Volume Purge while volume is dismounted. The screen drawing logic
       would display a series of spaces to the right of the dialog box.
       This is just a cosmetic error.

    5) If one partition ended past the start of another, the partition
       command would display a very large number as free space between
       the two partitions, when there is actually no free space. However,
       this is an invalid partition configuration as writing to one
       partition could destroy the other partition.

    6) Fixed a problem with Volume Copy where a ThreadSwitch() was being
       called too often, causing a very long delay from DOS when calculating
       the number of blocks to copy.

    7) If a Promise IDE Raid controller + an IDE controller both had one
       disk drive installed and the NWIO interface was selected, three disk
       drives would be detected by Storage Manager instead of two.

    ****************************************
    Misc Features:
    ****************************************

    1) None.

------------------------------------------------------------------------------

    What's New in Release 3.07 (Oct-07-2002)

    ****************************************
    New Features:
    ****************************************

    1) Storage Manager has a new command to purge volumes - "Volume Purge".

       Traditional Volume Support: Volumes can be purged when mounted
       or dismounted. Volumes can be purged from NetWare or DOS. Storage
       Manager can purge a volume faster that is dismounted than NetWare
       can purge a volume that is mounted.

       NSS Volume Support: Volumes can only be purged when mounted. This
       also means that Storage Manager can not purge an NSS volume from
       DOS.

    2) Storage Manager has a new command to remove Block Suballocation
       from a NetWare volume - "Remove Volume Block Suballocation"
       located under the "Volume Commands" -> "Advanced Commands".

       This command operates on dismounted volumes, and can be run from
       NetWare or from DOS.

       This command removes Block Suballocation from a volume and disables
       future Block Suballocation providing that the command completely
       converts every file. This command will stop once the number of
       free blocks on a volume goes below 100 blocks. Compressed files
       remain compressed after the conversion. If this command stops due
       to not enough free space or an error condition, then Block
       Suballocation will be left enabled.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) None.

    ****************************************
    Misc Features:
    ****************************************

    1) None.

------------------------------------------------------------------------------

    What's New in Release 3.06 (Oct-04-2002)

    ****************************************
    New Features:
    ****************************************

    1) This version now fits once again onto a single floppy diskette.
       There are two versions of the main Storage Manager module:
       stormgr.nlm (uncompressed version)
       stormgr.clm (compressed version).
       When creating a floppy diskette, copy the following files to
       the floppy diskette:
           1) stormgr.exe
           2) stormgr.clm
           3) stormgr.lic
           4) tcpipn.nlm

    ****************************************
    Bugs Fixed:
    ****************************************

    1) Storage Manager would report the ending cylinder incorrectly
       in the Partition Check command.

    2) Storage Manager would warn "The partition starts at cylinder 0
       and the beginning head does not start at 1". This message was
       incorrect.

    ****************************************
    Misc Features:
    ****************************************

    1) The licensing process has been improved when converting Storage
       Manager from an evaluation version to a production version.

------------------------------------------------------------------------------

    What's New in Release 3.05 (Oct-03-2002)

    ****************************************
    New Features:
    ****************************************

    1) This version now fits once again onto a single floppy diskette.
       There are two versions of the main Storage Manager module:
       stormgr.nlm (uncompressed version)
       stormgr.clm (compressed version).
       When creating a floppy diskette, copy the following files to
       the floppy diskette:
           1) stormgr.exe
           2) stormgr.clm
           3) stormgr.lic
           4) tcpipn.nlm

    2) The image command now supports writing spanning images to an
       FTP server.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) When renaming a Traditional NetWare volume under DOS the volume
       would be renamed and then a error message would appear that this
       is only supported under NetWare. This message has been removed.

    2) Storage Manager did not work correctly with some Linux FTP servers.

    3) Storage Manager now works correctly with FTP servers that report
       out of disk space error messages.

    4) Storage Manager now works correctly with FTP servers that report
       quota exceeded error messages.

    ****************************************
    Misc Features:
    ****************************************

    1) None.

------------------------------------------------------------------------------

    What's New in Release 3.04 (Sep-30-2002)

    ****************************************
    New Features:
    ****************************************

    1) This version now fits once again onto a single floppy diskette.
       There are two versions of the main Storage Manager module:
       stormgr.nlm (uncompressed version)
       stormgr.clm (compressed version).
       When creating a floppy diskette, copy the following files to
       the floppy diskette:
           1) stormgr.exe
           2) stormgr.clm
           3) stormgr.lic
           4) tcpipn.nlm

    ****************************************
    Bugs Fixed:
    ****************************************

    1) Improved the "Check for Updates" command to correctly process
       HTTP response headers in the data stream. This is common on
       caching web server proxies. Storage Manager would previously
       fail to update itself.

    ****************************************
    Misc Features:
    ****************************************

    1) Improved the Volume Check command when processing NSS volumes
       on NetWare 6 that were upgraded from NetWare 5 NSS volumes.
       Added a separate line entry on the status screen for Salvage
       records so that the software does not appear to be hung when
       processing a volume with large numbers of deleted files.

------------------------------------------------------------------------------

    What's New in Release 3.03 (Sep-25-2002)

    ****************************************
    New Features:
    ****************************************

    1) New support for an index file has been added to the FTP section
       for image and restore. This index file called "index.ftp" can be
       used to create a custom directory listing of files available for
       download from an FTP server.

    2) The restore command now supports retrieving spanning images from
       an FTP server.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) The FTP dialog box would display the password in clear text. This
       has been fixed to hide the password.

    2) Storage Manager did not work with FTP servers that returned a
       multi-line response to commands. This is now supported.

    ****************************************
    Misc Features:
    ****************************************

    1) When trying to copy a non NetWare partition such as a DOS partition
       on NetWare 3.x or 4.x and there are mounted volumes on the same
       device, a warning would appear about not being able to lock the
       device. This warning is not necessary and has been removed.

    2) After deleting a DOS partition, a warning that the server should be
       rebooted is now displayed. The reason for this is that DOS keeps
       partition information in memory and even though the partition has
       been deleted, DOS still believes that the partition still exists.
       NetWare can access DOS partitions while running and this could
       cause corruption if a new partition is created in the same space
       as the deleted partition.

    3) The partition delete command has been improved to prompt for the
       deletion of volumes when deleting a Traditional NetWare partition.
       Previous versions of Storage Manager would just display a warning
       dialog box that volumes were present and that they must be
       deleted first.

    4) The restore command has been modified so that all items can be
       skipped during a restore. This feature can be used to verify
       the image integrity.

    5) During the initialization of Storage Manager, additional checks
       are performed to ensure the integrity of all partitions. A series
       of tests are performed and warning messages are issued to the
       screen. If the -logfile option is used, additional details will
       be written to the logfile.

------------------------------------------------------------------------------

    What's New in Release 3.02 (Sep-22-2002)

    ****************************************
    New Features:
    ****************************************

    1) Support for FTP servers has been added to the image and restore
       commands. Now Storage Manager can write images to an FTP server
       or restore an image from an FTP server.

    2) New Command: A Partition Check command has been added to check the
       integrity of partitions on a NetWare server.

    3) Renaming of NSS volumes is now supported.

    4) Support for copying DOS partitions has been enabled for NetWare 6.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) Fixed a bug in "Get Selection" when scrolling thru the bottom of
       a window. The last line would be redrawn in the wrong place if
       the selection box had one line more than the number of displayed
       lines.

    2) The restore command would set a DOS partition active even if
       another partition was already active. This would cause a problem
       with rebooting the server if this was the booting drive.
       The restore command will check to see if another partition
       is already active before setting the active state.

    3) The partition convert command had debug code enabled. This has
       been removed.

    ****************************************
    Misc Features:
    ****************************************

    1) When trying to copy a non NetWare partition such as a DOS partition
       on NetWare 3.x or 4.x and there are mounted volumes on the same
       device, a warning would appear about not being able to lock the
       device. This warning is not necessary and has been removed.

    2) After deleting a DOS partition, a warning that the server should be
       rebooted is now displayed. The reason for this is that DOS keeps
       partition information in memory and even though the partition has
       been deleted, DOS still believes that the partition still exists.
       NetWare can access DOS partitions while running and this could
       cause corruption if a new partition is created in the same space
       as the deleted partition.

    3) The partition delete command has been improved to prompt for the
       deletion of volumes when deleting a Traditional NetWare partition.
       Previous versions of Storage Manager would just display a warning
       dialog box that volumes were present and that they must be
       deleted first.

    4) The restore command has been modified so that all items can be
       skipped during a restore. This feature can be used to verify
       the image integrity.

    5) During the initialization of Storage Manager, additional checks
       are performed to ensure the integrity of all partitions. A series
       of tests are performed and warning messages are issued to the
       screen. If the -logfile option is used, additional details will
       be written to the logfile.

------------------------------------------------------------------------------

    What's New in Release 3.01 (Aug-25-2002)

    ****************************************
    New Features:
    ****************************************

    1) Added DOS support for ATAPI CD/DVDs. No device drivers are
       required.

    2) Added HTTP support to the restore command. Images can now be
       saved to a web server and then the restore command can connect
       to the web server to restore a server or a volume.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) Corrected a problem with NSS Named Data Streams. The Volume
       Check command would fail if there were a large number of these
       objects on the volume.

    ****************************************
    Misc Features:
    ****************************************

    None.

------------------------------------------------------------------------------

    What's New in Preliminary Release 3.00 (June-16-2002)

    ****************************************
    Notes:
    ****************************************

    1) This release supports NetWare 6. This support is preliminary
       and is not fully tested.

    2) This release supports DVD burners. This support is prelimary
       and is not fully tested.

    3) Do not use emm386.exe in config.sys for the DOS version of
       Storage Manager. We have seen so many issues with this memory
       manager that we have removed the need for emm386.exe.

    ****************************************
    New Features:
    ****************************************

    1) NetWare 6 support.

    2) Added DOS support for SCSI CD/DVDs using ASPI device drivers.

    3) Added ASPI interface support for SCSI CD/DVDs. This support applies
       to NetWare 3.x and 4.x servers using the older DSK device drivers.

    ****************************************
    Bugs Fixed:
    ****************************************

    None.

    ****************************************
    Misc Features:
    ****************************************

    None.

------------------------------------------------------------------------------

    What's New in Release 2.08 (June-9-2002)

    ****************************************
    Notes:
    ****************************************

    1) Do not use emm386.exe in config.sys for the DOS version of
       Storage Manager. We have seen so many issues with this memory
       manager that we have removed the need for emm386.exe.

    ****************************************
    New Features:
    ****************************************

    1) DOS: The DOS version Storage Manager has been changed to be
       two different versions based upon memory management needs.

       a) stormgr.exe does not support Virtual Memory and relies upon
          only the physical memory in a machine. This is the default
          and recommended version.

       b) stormgrv.exe does support Virtual Memory and relies upon
          the physical memory in a machine plus uses free disk space
          in the DOS partition. If the environment variable TMP is
          set, then the free space in that directory will be used
          for a swap file. If TMP is not set, then the current working
          directory will be used for a swap file.

       You may need to try various combinations of stormgr.exe with and
       without himem.sys to make all physical memory available. If only
       62 MB is available, then try to use stormgrv.exe which will use
       Virtual Memory. Different motherboards use different hardware
       for memory management.

    2) Added a new command line option for stormgr.exe. -memtest will
       report the amount of memory that could be allocated under DOS.

       This test is designed to help identify the amount of memory
       that Storage Manager can detect while running under DOS.

       Note: This option will stop once 1024 MB of memory has been
       allocated.

       This option does not work under NetWare.

    3) NSS: When deleting an NSS Storage Group Partition, Storage Manager
       will now prompt to delete volumes that are in this partition. Before
       Storage Manager would report that the volumes should be deleted first
       which would be an additional step for the user.

    4) Added support for copying IBM Diagnostic Partitions.

    5) Added a command to activate any FDISK partition.

    6) Added a new command line option for stormgr.exe. -noeide will
       disable using the Extended INT13 interface when determining the
       size of disk drives when running under DOS. On some older systems
       trying to use the Extended INT13 will hang the system.

    7) Added support for imaging, restoring and copying Dell Diagnostic
       partitions.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) Fixed a problem for "Check for Updates" that would cause Storage
       Manager to be unable to retrieve the update list.

    2) Fixed a restore problem where a "checksum error" would prevent
       the restore of a DOS or Diagnostic partition. There were no
       problems with the image format, the problem was caused by enabling
       image compression. The restore code calculated the checksum based
       upon an incorrect length value.

    3) When copying an NSS volume to an existing Storage Group partition
       and there was not enough free space for the volume copy, NetWare
       would complain about allocated memory not being released when
       Storage Manager exited.

    4) When selecting the NWIO interface, Storage Manager would scan
       the SCSI bus using the ASPI interface if available. If a SCSI
       device returned more than 128 bytes of data to the Inquiry
       command, Storage Manager would abend the server.

    ****************************************
    Misc Features:
    ****************************************

    1) Improved the performance of the Traditional Volume Copy command
       when the option to copy all data including unallocated space is
       selected. Performance improvement of up to 100%.

    2) For very large Traditional volumes, the Volume Information command
       would appear to be hung. The command was actually reading the FAT
       tables. An informational dialog box is now displayed.

    3) For very large Traditional volumes, the Volume Rename command
       would appear to be hung. The command was actually reading the FAT
       tables. An informational dialog box is now displayed.

------------------------------------------------------------------------------

    What's New in Release 2.07 (Feb-2-2002)

    ****************************************
    New Features:
    ****************************************

    1) New command to recover deleted NetWare partitions.

       The are some limits to the ability to recover deleted partitions.
       This command will recover partitions that have been deleted by the
       NetWare "Initialize hard disk" command or by an accident that
       destroys the booting sector.

       Note: This command can not recover a deleted NetWare partition
       that has been deleted by the NetWare "delete any disk partition"
       command as the vital partition information has been destroyed.

    2) New command to recover deleted DOS partitions.

       The are some limits to the ability to recover deleted partitions.
       This command will recover partitions that have been deleted by the
       NetWare "Initialize hard disk" command or by an accident that
       destroys the booting sector.

    ****************************************
    Bugs Fixed:
    ****************************************

    None.

    ****************************************
    Misc Features:
    ****************************************

    None.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    Most of these limitations will be removed in future releases of
    Storage Manager. Check our web site, as we often release improved
    versions of Storage Manager. http://www.portlocksoftware.com

    1)  The image command can image an NSS multi-segment Storage Group
        volume. The restore command can only restore this NSS volume as
        a single segment. Storage Manager will convert the multi-segment
        volume into a single segment volume.

    2)  The NSS volume resize command can not resize a Storage Group volume.

    3)  The NSS volume resize command can not resize NSS volumes smaller.
        However, NSS Volume Copy, NSS Volume Restore, and NSS Partition
        Convert commands do support resizing NSS volumes smaller.

    4)  NetWare 5 NSS mirroring is not supported.

    5)  For NSS versions earlier than version 2.97 (NetWare 5.1 SP3), the
        server sometimes needs to be rebooted to see NSS partitions
        created with Storage Manager. There is a partition re-scanning
        bug with NetWare that was fixed in NW51 SP3.

    6)  Storage Manager does not support NSS volumes created inside a
        Traditional NetWare volume.

    7)  NetWare Clustering Services are not supported.

    8)  When copying an NSS Non-Storage Group Partition to a new Non-Storage
        Group partition, resizing the volume smaller during the copy is
        not supported. Copy the partition to a Storage Group to enable
        resizing the partition smaller during the copy.

    9)  When copying an NSS Non-Storage Group Volume to a new Non-Storage
        Group Volume, resizing the volume smaller during the copy is not
        supported. Copy the partition to a Storage Group to enable
        resizing the volume smaller during the copy.

    10) Storage Manager can not move the starting position of an NSS
        partition.

    11) NSS Storage Group Partition Copy is not supported. The current
        workaround is to copy the individual NSS volumes using the NSS
        Volume Copy command.

    12) DOS: ATAPI (IDE) Tape drives are not supported. Only under NetWare.

------------------------------------------------------------------------------

    What's New in Release 2.06 (Jan-27-2002)

    ****************************************
    New Features:
    ****************************************

    1) New support for ATAPI (IDE) tape drives. This includes the Tecmar
       Travan WS20 20 GB ATAPI drive. Note: This support is only available
       while running under NetWare. DOS support for ATAPI tape drives is
       not yet supported (to be released in a future version).

    2) New support for the Sony SDX-300C AIT tape drive. This includes
       both Fixed Length and Variable Length recording modes.

    3) New support for the Exabyte EXB-8505 tape drive. This includes
       both Fixed Length and Variable Length recording modes.

    4) Added support for the IBM Diagnostic Partition.

    5) Significant changes to IMAGEMGR.NLM. Updated for new tape drive
       support.

    6) Added support for the Infortrend IFT-2101U RAID Controller.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) The NSS partition convert command would sometimes not be able to
       convert an NSS Type 1 partition into an NSS Type 2 (Storage Group)
       partition. This command would previously report a warning and
       then stop before modifying the volume.

    2) Storage Manager would fail to load on systems that did not have
       TCP/IP loaded. The module svrupd10.nlm referenced TCP/IP symbols
       statically instead of importing them at run-time.

    3) Corrected a problem with imagemgr.nlm that would abend the server.
       This was due to an interface issue between imagemgr.nlm and
       svrupd10.nlm.

    4) DOS: When Storage Manager is running in DOS mode, Storage Manager
       would report disk drives as being 8 GB even though these disk
       drives were larger. This was due to an extended INT13 interface 
       bug in Storage Manager for some controllers.

    5) DOS: When Storage Manager is running in DOS mode, Storage Manager
       would report disk drives as being 8 GB even though these disk
       drives were larger. This was due to an ASPI interface bug in
       Storage Manager for some controllers.

    6) For some SCSI and RAID controllers, the I/O block size that
       Storage Manager was using was too large and the controllers
       would report I/O size too large errors. This included the Compaq
       Fibre Channel controller and the IBM Raid controller in the
       Netfinity 5000.

    7) When copying a Traditional NetWare volume from DOS, Storage
       Manager would prompt to remount the source and destination
       volumes. Storage Manager has been corrected to not ask to
       mount volumes when running under DOS.

    8) An error was reported when trying to hide an NSS Type 2
       partition with Storage Group Volumes. This has been fixed.

    ****************************************
    Misc Features:
    ****************************************

    1) During image and restore, additional information about DLT tape
       drives is displayed such as the Media Type, Density and tape drive
       total hours of operation.

    2) When writing an image to a DOS partition or a NetWare traditional
       or NSS volume and the destination becomes full, Storage Manager
       would report an error message that did not indicate that the
       destination is full.

    3) When imaging to a DOS partition or a volume the current amount
       of free space on the destination is updated every few seconds.
       Previous versions of Storage Manager did not display the free
       space on the destination device.

    4) When copying a large Traditional NetWare volume, the volume copy
       status screen would be displayed and then the software would
       appear to be hung. Storage Manager was actually calculating the
       number of blocks to be copied. Now a status box is displayed.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    Most of these limitations will be removed in future releases of
    Storage Manager. Check our web site, as we often release improved
    versions of Storage Manager. http://www.portlocksoftware.com

    1)  The image command can image an NSS multi-segment Storage Group
        volume. The restore command can only restore this NSS volume as
        a single segment. Storage Manager will convert the multi-segment
        volume into a single segment volume.

    2)  The NSS volume resize command can not resize a Storage Group volume.

    3)  The NSS volume resize command can not resize NSS volumes smaller.
        However, NSS Volume Copy, NSS Volume Restore, and NSS Partition
        Convert commands do support resizing NSS volumes smaller.

    4)  NetWare 5 NSS mirroring is not supported.

    5)  For NSS versions earlier than version 2.97 (NetWare 5.1 SP3), the
        server sometimes needs to be rebooted to see NSS partitions
        created with Storage Manager. There is a partition re-scanning
        bug with NetWare that was fixed in NW51 SP3.

    6)  Storage Manager does not support NSS volumes created inside a
        Traditional NetWare volume.

    7)  NetWare Clustering Services are not supported.

    8)  When copying an NSS Non-Storage Group Partition to a new Non-Storage
        Group partition, resizing the volume smaller during the copy is
        not supported. Copy the partition to a Storage Group to enable
        resizing the partition smaller during the copy.

    9)  When copying an NSS Non-Storage Group Volume to a new Non-Storage
        Group Volume, resizing the volume smaller during the copy is not
        supported. Copy the partition to a Storage Group to enable
        resizing the volume smaller during the copy.

    10) Storage Manager can not move the starting position of an NSS
        partition.

    11) NSS Storage Group Partition Copy is not supported. The current
        workaround is to copy the individual NSS volumes using the NSS
        Volume Copy command.

    12) DOS: ATAPI (IDE) Tape drives are not supported. Only under NetWare.

------------------------------------------------------------------------------

    What's New in Release 2.05 (Dec-30-2001)

    ****************************************
    New Features:
    ****************************************

    1) New support for tape drives that only support Block Length mode
       when writing to the tape drive. This includes the HP T-20 family.

    2) New support for AIT tape drives such as the Seagate Sidewinder.

    3) New feature to sector image a disk drive. This command is designed
       to support creating images of a corrupted disk drive so that the
       drive data can be recovered. The sector image includes the partition
       tables, free space, data, etc. If a data recovery fails, the drive
       can be restored exactly as before so that another recovery attempt
       can be performed.

    4) New feature to recover deleted NSS Type 1 volumes. An NSS Type 1
       volume is an NSS volume that is not part of an NSS Storage Group.

    5) New feature to recover deleted NSS Type 1 partitions. An NSS Type 1
       partition is an NSS partition that is not an NSS Storage Group.

    6) New feature to recover deleted NSS Type 2 volumes. An NSS Type 2
       volume is an NSS volume that is part of an NSS Storage Group.

    7) New feature to recover deleted NSS Type 2 partitions. An NSS Type 2
       partition is an NSS partition that is part of an NSS Storage Group.

    8) New feature to install the stormgr.lic license file from floppy
       diskette.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) The Drive Information window displayed the "Last Cyl" field
       incorrectly. The displayed value was the total number of cylinders
       instead of the last cylinder used.

    2) When imaging a system to a disk file, the system would provide the
       option to cancel the "restore" command instead of displaying "image".
       This was just a mistake in the title.

    3) DOS: stormgr.exe would display the version of an NLM as 2.5.1 instead
       of 2.05.1.

    4) In a rare instance, two partitions created by Storage Manager could
       not be mirrored by NetWare.

    5) Adaptec 2944W. This controller would freeze the I/O queue if there
       was an error on the SCSI bus. This would cause NetWare to hang.
       Storage Manager now restarts the I/O queue.

    6) DOS FAT16 Partition Creation. Storage Manager could create a
       partition that was larger than the free space available if a
       partition was being created between two other partitions.

    ****************************************
    Misc Features:
    ****************************************

    1) Storage Manager now detects that TSA500 is loaded before attempting
       to unload NSS. TSA500.NLM would cause the unload of NSS to fail.

    2) Storage Manager now detects that the SYS volume is not mounted
       before attempting to load the NSS Subsystem. If the SYS volume
       is not mounted then NSS could fail to load.

    3) Storage Manager now detects that CONLOG is loaded before attempting
       to dismount SYS.

    4) Storage Manager now detects that JAVA is loaded before attempting
       to dismount SYS.

    5) After a Volume Copy, Storage Manager will now prompt to remount
       the source and destination volumes.

    6) Storage Manager now detects FAT32 partitions and displays the
       partition's volume label.

    7) Storage Manager now detects NTFS partitions and display the
       partition's volume label.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    Most of these limitations will be removed in future releases of
    Storage Manager. Check our web site, as we often release improved
    versions of Storage Manager. http://www.portlocksoftware.com

    1)  The image command can image an NSS multi-segment Storage Group
        volume. The restore command can only restore this NSS volume as
        a single segment. Storage Manager will convert the multi-segment
        volume into a single segment volume.

    2)  The NSS volume resize command can not resize a Storage Group volume.

    3)  The NSS volume resize command can not resize NSS volumes smaller.
        However, NSS Volume Copy, NSS Volume Restore, and NSS Partition
        Convert commands do support resizing NSS volumes smaller.

    4)  NetWare 5 NSS mirroring is not supported.

    5)  For NSS version earlier than version 2.97 (NetWare 5.1 SP3), the
        server sometimes needs to be rebooted to see NSS partitions
        created with Storage Manager. There is a partition re-scanning
        bug with NetWare that was fixed in NW51 SP3.

    6)  Storage Manager does not support NSS volumes created inside a
        Traditional NetWare volume.

    7)  NetWare Clustering Services are not supported.

    8)  When copying an NSS Non-Storage Group Partition to a new Non-Storage
        Group partition, resizing the volume smaller during the copy is
        not supported. Copy the partition to a Storage Group to enable
        resizing the partition smaller during the copy.

    9)  When copying an NSS Non-Storage Group Volume to a new Non-Storage
        Group Volume, resizing the volume smaller during the copy is not
        supported. Copy the partition to a Storage Group to enable
        resizing the volume smaller during the copy.

    10) Storage Manager can not move the starting position of an NSS
        partition.

    11) NSS Storage Group Partition Copy is not supported. The current
        workaround is to copy the individual NSS volumes using the NSS
        Volume Copy command.

------------------------------------------------------------------------------

    What's New in Release 2.04 (Dec-1-2001)

    ****************************************
    New Features:
    ****************************************

    None.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) NSS Volume Check would report an error for volumes with sparse files.

    2) NSS Volume Check would report an error for volumes with overflow
       blocks in the Name Tree.

    3) If a SCSI tape was write-protected at the start of an image, the
       image command would not write the correct image header to the tape
       after the write-protect was removed.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    Most of these limitations will be removed in future releases of
    Storage Manager. Check our web site, as we often release improved
    versions of Storage Manager. http://www.portlocksoftware.com

    1)  The image command can image an NSS multi-segment Storage Group
        volume. The restore command can only restore this NSS volume as
        a single segment. Storage Manager will convert the multi-segment
        volume into a single segment volume.

    2)  The NSS volume resize command can not resize a Storage Group volume.

    3)  The NSS volume resize command can not resize NSS volumes smaller.
        However, NSS Volume Copy, NSS Volume Restore, and NSS Partition
        Convert commands do support resizing NSS volumes smaller.

    4)  NetWare 5 NSS mirroring is not supported.

    5)  For NSS version earlier than version 2.97 (NetWare 5.1 SP3), the
        server sometimes needs to be rebooted to see NSS partitions
        created with Storage Manager. There is a partition re-scanning
        bug with NetWare that was fixed in NW51 SP3.

    6)  Storage Manager does not support NSS volumes created inside a
        Traditional NetWare volume.

    7)  NetWare Clustering Services are not supported.

    8)  When copying an NSS Non-Storage Group Partition to a new Non-Storage
        Group partition, resizing the volume smaller during the copy is
        not supported. Copy the partition to a Storage Group to enable
        resizing the partition smaller during the copy.

    9)  When copying an NSS Non-Storage Group Volume to a new Non-Storage
        Group Volume, resizing the volume smaller during the copy is not
        supported. Copy the partition to a Storage Group to enable
        resizing the volume smaller during the copy.

    10) Storage Manager can not move the starting position of an NSS
        partition.

    11) NSS Storage Group Partition Copy is not supported. The current
        workaround is to copy the individual NSS volumes using the NSS
        Volume Copy command.

------------------------------------------------------------------------------

    What's New in Release 2.03 (Nov-17-2001)

    ****************************************
    New Features:
    ****************************************

    1)  I2O Controllers are now supported. This includes the Adaptec I2O
        RAID controllers and the XIOtech Fibre HBAs.

    2)  A new command has been added to repair volumes that are missing a
        volume segment. This command is located under the Main Menu under
        "Repair Commands". More volume repair features will be added in
        future Storage Manager releases.

    3)  The NSS Volume Check command has been enhanced to check for
        more error conditions for Trustees, Directory Quotas and User
        Space Restrictions.

    ****************************************
    Bugs Fixed:
    ****************************************

    1)  Image & Restore: Storage Manager would incorrectly process the
        early warning of end of media when writing a filemark to tape.
        The error would prevent spanning of tapes on certain tape drives.

    2)  Image & Restore: If a tape rewind failed, NetWare would sometimes
        hang on certain HAM drivers. This was caused by the device driver
        stopping the I/O queue. Storage Manager now makes sure that the
        I/O queue is restarted on I/O errors.

    3)  NSS: Storage Manager would report an error during Volume Check for
        NSS Beast Types 19 & 20. This has been corrected.

    4)  On older versions of NSS, Storage Manager would list an NSS volume
        as available for Volume Commands. However, when the volume was
        selected, an error message would be displayed that NSS volumes
        are not supported. This problem has been fixed.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    Most of these limitations will be removed in future releases of
    Storage Manager. Check our web site, as we often release improved
    versions of Storage Manager. http://www.portlocksoftware.com

    1)  The image command can image an NSS multi-segment Storage Group
        volume. The restore command can only restore this NSS volume as
        a single segment. Storage Manager will convert the multi-segment
        volume into a single segment volume.

    2)  The NSS volume resize command can not resize a Storage Group volume.

    3)  The NSS volume resize command can not resize NSS volumes smaller.
        However, NSS Volume Copy, NSS Volume Restore, and NSS Partition
        Convert commands do support resizing NSS volumes smaller.

    4)  NetWare 5 NSS mirroring is not supported.

    5)  For NSS version earlier than version 2.97 (NetWare 5.1 SP3), the
        server sometimes needs to be rebooted to see NSS partitions
        created with Storage Manager. There is a partition re-scanning
        bug with NetWare that was fixed in NW51 SP3.

    6)  Storage Manager does not support NSS volumes created inside a
        Traditional NetWare volume.

    7)  NetWare Clustering Services are not supported.

    8)  When copying an NSS Non-Storage Group Partition to a new Non-Storage
        Group partition, resizing the volume smaller during the copy is
        not supported. Copy the partition to a Storage Group to enable
        resizing the partition smaller during the copy.

    9)  When copying an NSS Non-Storage Group Volume to a new Non-Storage
        Group Volume, resizing the volume smaller during the copy is not
        supported. Copy the partition to a Storage Group to enable
        resizing the volume smaller during the copy.

    10) Storage Manager can not move the starting position of an NSS
        partition.

    11) NSS Storage Group Partition Copy is not supported. The current
        workaround is to copy the individual NSS volumes using the NSS
        Volume Copy command.

------------------------------------------------------------------------------

    What's New in Release 2.02 (Oct-30-2001)

    ****************************************
    New Features:
    ****************************************

    1) NSS volumes that are in a Non-Storage Group partition can now be
       converted into a Storage Group. Two methods of conversion are
       supported: Increase the partition size, or decrease the volume
       size. Increasing the partition size is the fastest conversion
       method.

    2) Added support for NSS Directory Trees (Directory Quotas).

    3) Added support for NSS User Trees (User Space Restrictions).

    4) The NSS Type 1 Volume Copy command is now faster when copying to
       another NSS Type 1 partition.

    5) The NSS Menu commands now detects if Salvage is enabled or disabled.

    6) The NSS Menu commands now detects if Directory Quotas are enabled
       or disabled.

    7) The NSS Menu commands now detects if User Space Restrictions are
       enabled or disabled.

    8) NSS Type 1 partitions can be resize larger when copying as a new
       NSS Type 1 partition. Resizing these partitions smaller is only
       supported when copying to a Type 2 (Storage Group) partition.


    ****************************************
    Bugs Fixed:
    ****************************************

    1) When checking a large NSS volume and the volume has missing blocks,
       the software would appear to be hung while checking the free block
       list. The software now displays a status dialog while scanning the
       file system.

    2) After NetWare deletes an NSS volume from an NSS Type 1 partition
       the Partition Map command would still display the volume as being
       present.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    Most of these limitations will be removed in future releases of
    Storage Manager. Check our web site, as we often release improved
    versions of Storage Manager. http://www.portlocksoftware.com

    1) The image command can image an NSS multi-segment Storage Group
       volume. The restore command can only restore this NSS volume as
       a single segment. Storage Manager will convert the multi-segment
       volume into a single segment volume.

    2) The NSS volume resize command can not resize a Storage Group volume.

    3) The NSS volume resize command can not resize NSS volumes smaller.
       However, NSS Volume Copy, NSS Volume Restore, and NSS Partition
       Convert commands do support resizing NSS volumes smaller.

    4) NetWare 5 NSS mirroring is not supported.

    5) For NSS version earlier than version 2.97 (NetWare 5.1 SP3), the
       server sometimes needs to be rebooted to see NSS partitions
       created with Storage Manager. There is a partition re-scanning
       bug with NetWare.

    6) Storage Manager does not support NSS volumes created inside a
       Traditional NetWare volume.

    7) NetWare Clustering Services are not supported.

    8) When copying an NSS Non-Storage Group Partition to a new Non-Storage
       Group partition, resizing the volume smaller during the copy is
       not supported. Copy the partition to a Storage Group to enable
       resizing the partition smaller during the copy.

    9) When copying an NSS Non-Storage Group Volume to a new Non-Storage
       Group Volume, resizing the volume smaller during the copy is not
       supported. Copy the partition to a Storage Group to enable
       resizing the volume smaller during the copy.

------------------------------------------------------------------------------

    What's New in Release 2.01 (Oct-15-2001)

    ****************************************
    New Features:
    ****************************************

    1) The NSS Volume Copy command has been enhanced to support copying
       volumes smaller or larger during an NSS volume copy to a Storage Group.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) When entering a new volume name, the name field would sometimes be
       initialized with random characters.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    1) The image command can image a multi-segment Storage Group volume.
       The restore command can only restore this volume as a single segment.
       Storage Manager will convert the multi-segment volume into a single
       segment volume.

    2) The volume resize command can not resize a Storage Group volume.

    3) NetWare 5 NSS mirroring is not supported.

    4) For NSS version earlier than version 2.97 (NetWare 5.1 SP3), the
       server sometimes needs to be rebooted to see NSS partitions
       created with Storage Manager. There is a partition re-scanning
       bug with NetWare.

    5) Storage Manager does not support NSS volumes created inside a
       Traditional NetWare volume.

    6) NetWare Clustering Services are not supported.

    7) When copying an NSS Non-Storage Group Partition to a new Non-Storage
       Group partition, resizing the volume during the copy is not supported.
       Copy the partition to a Storage Group to enable resizing.

    8) When copying an NSS Non-Storage Group Volume to a new Non-Storage
       Group Volume, resizing the volume during the copy is not supported.
       Copy the partition to a Storage Group to enable resizing.

------------------------------------------------------------------------------

    What's New in Release 2.0 (Oct-14-2001)

    ****************************************
    New Features:
    ****************************************

    1) Full support for NSS partitions and volumes.

    2) The Volume Copy command has been enhanced to copy volumes that
       are corrupted.

    3) The Volume Copy command now has the option to copy individual
       volume segments.

    ****************************************
    Bugs Fixed:
    ****************************************

    1) If a traditional volume is created with 4 KB block size and the
       volume has several segments, the Volume Check would fail.

    ****************************************
    Known Limitation (bugs) in this version:
    ****************************************

    1) The image command can image a multi-segment Storage Group volume.
       The restore command can only restore this volume as a single segment.
       Storage Manager will convert the multi-segment volume into a single
       segment volume.

    2) The volume resize command can not resize a Storage Group volume.

    3) NetWare 5 NSS mirroring is not supported.

    4) For NSS version earlier than version 2.97 (NetWare 5.1 SP3), the
       server sometimes needs to be rebooted to see NSS partitions
       created with Storage Manager. There is a partition re-scanning
       bug with NetWare.

    5) Storage Manager does not support NSS volumes created inside a
       Traditional NetWare volume.

    6) NetWare Clustering Services are not supported.

    7) When copying an NSS Non-Storage Group Partition to a new Non-Storage
       Group partition, resizing the volume during the copy is not supported.
       Copy the partition to a Storage Group to enable resizing.

    8) When copying an NSS Non-Storage Group Volume to a new Non-Storage
       Group Volume, resizing the volume during the copy is not supported.
       Copy the partition to a Storage Group to enable resizing.

------------------------------------------------------------------------------

    What's New in Release 1.32 (Sept-18-2001)

    ****************************************
    New Features:
    ****************************************

    1)  DOS: We have released the TCP/IP stack that supports the Novell
        Client TCP/IP stack that optionally can be installed when the
        DOS client is installed.

    2)  TCP/IP: Storage Manager can set itself up to be either a client or
        a server. This is necessary when one machine does not have a public
        IP address.

    3)  TCP/IP: Storage Manger remembers the last IP address entered during
        runtime. The last IP address is not saved after program exit.

    4)  When resizing a volume, a new option is asked about defragmenting
        the directory tables during the resize. We do recommend defragmenting
        the Primary and Secondary directory tables. However, this can take a
        while on a very large volume.

    5)  NetWare 5: Storage Manager now detects NetWare partitions that are
        missing the new NetWare 5 partition table signature. Storage Manager
        can also correct this problem.

    ****************************************
    Bugs Fixed:
    ****************************************

    1)  Restore. When skipping the restore of a traditional volume, the
        performance display was 0.

    2)  Restore. When skipping the restore of a traditional volume, the
        image source was not displayed.

    3)  Restore. When canceling the skip of a DOS partition, an error would
        be reported "Unknown volume format in image".

    4)  Partition Resize. The Compaq Diagnostic partition is displayed as
        a partition with a single space character. Changed to display as
        "DP" (short form) or as "Diag" (long form).

    5)  Restore. When restoring a Diagnostic partition, the menus displayed
        the partition type as DOS instead of Diagnostic.

    6)  Restore. If the restore of a traditional NetWare volume is cancelled
        an error message would be displayed about not being able to delete
        an NSS volume. Also, the partial NetWare volume was left undeleted.

    7)  Restore. The TCP/IP code has been enhanced to behave correctly when
        connections are abruptly terminated.

    8)  Restore. The TCP/IP code has been enhanced to continue updating the
        status screens on very slow connections.

    9)  Image. Changed the image command to put the Compaq Diagnostic
        partition into the image before the DOS partition.

    10) Image: While waiting for a TCP/IP connection, the server utilization
        was very high.

    11) Partition Resize. After resizing a NetWare 5 partition, the NetWare
        Partition Stamp was not updated. This caused a warning message about
        mismatched partition sizes.

    12) When deleting a traditional NetWare volume, after the volume was
        deleted, a message was displayed that the volume could not be found.

    13) When using TCP/IP and waiting for a connection, if the sender was
        not already waiting for the connection, the connection would never
        happen.

    14) When a SCSI error occurred, the first two bytes of the returned sense
        information were overwritten. This caused Storage Manager to report
        an unknown error when the end of tape was reached.

    15) DOS: Added support for the Compaq ASPI driver FWS2ASPI.SYS version
        2.06.

        Note: This ASPI driver is not compatible with other ASPI drivers.
        To use Compaq ASPI drivers with other ASPI drivers use version 2.05.
        If another ASPI driver is installed with the Compaq driver version
        2.06 we will not be able to see the Compaq driver.
 
    16) During a volume resize, the defragmentation of the directory tables
        could not be interrupted.

    17) DOS: The SCSI Inquiry command would fail on certain ASPI device
        drivers. This would cause Storage Manager when running under DOS
        to not see some SCSI devices.

    18) DOS: If the BIOS for a SCSI controller was disabled, and an ASPI
        device driver was loaded, we would report an error for the disk.

    19) When restoring a Traditional NetWare volume from an image and the
        volume is being resized during the restore, under certain conditions
        corruption could occur. This did not affect NetWare 3.

    20) At the end of a volume restore, the Estimated Time Left field would
        sometimes report a very large number.

    21) When restoring a NetWare volume with 4 KB block size and the volume
        was very large, the software would appear to be hung. The software
        was processing the FAT tables. A dialog box is now displayed showing
        improved update status.

    22) NW 4.x: After restoring a NetWare volume, NetWare could not see the
        new volume until the server was rebooted.

    23) When deleting a volume segment, and the user cancelled the delete,
        only the Primary Directory Table was defragmented. The software will
        now defragment both the Primary and Secondary Directory Tables if a
        resize operation is interrupted.

------------------------------------------------------------------------------

    What's New in Release 1.31 (Sept-04-2001)

    This release is an extensive update to Storage Manager. Numerous
    new features and commands have been added as part of the 4 month
    long public beta.

------------------------------------------------------------------------------

    What's New in Release 1.30 (June-18-2001)

    This is the first public release of the software.

